Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Incoming_Message_Queue.cpp File Reference

`#include "Incoming_Message_Queue.h"`
`#include "debug.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Malloc_Base.h"`

Include dependency graph for Incoming_Message_Queue.cpp:

## Functions
ACE_Message_Block * | clone_mb_nocopy_size (ACE_Message_Block *mb, size_t span_size)
| Allocate and return a new empty message block of size new_size mimicking parameters of mb.

## Function Documentation

ACE_Message_Block* clone_mb_nocopy_size | ( | ACE_Message_Block * | mb,
|  | size_t | span_size
| ) | `[static]`

  | Allocate and return a new empty message block of size new_size mimicking parameters of mb. This function allocates a new aligned message block using the same allocators and flags as found in mb. The size of the new message block is at least new_size; the size may be adjusted up in order to accomodate alignment requirements and still fit new_size bytes into the aligned buffer. Parameters:
  | mb | message block whose parameters should be mimicked
  | new_size | size of the new message block (will be adjusted for proper alignment)
Returns: an aligned message block with rd_ptr sitting at correct alignment spot, 0 on failure Author: Thanks to Rich Seibel for helping implement the public API for ACE_Message_Block!